
/*  Dummy versions of:

 ECLOSE 
 V24_CLEAR 
 V24_CLOSE 
 V24_GET 
 V24_OPEN 
 V24_SEND 

*/

#include <stdio.h>
#include "rpcrts.h"
#include "rpc_code.h"


PRIVATE void apologize()
{
    CTRACE(tfp, "\n**** Sorry, the runtime library you are using\n");
    CTRACE(tfp, "**** does not support V24 (RS232) communication.\n\n");
}

void v24_open()
{
    apologize();
    exit(RPC_S_NOT_IMPLEMENTED);	    /* Not yet impelemnted */
}

void v24_close()
{
    apologize();
    exit(RPC_S_NOT_IMPLEMENTED);	    /* Not yet impelemnted */
}

void v24_get()
{
    apologize();
    exit(RPC_S_NOT_IMPLEMENTED);	    /* Not yet impelemnted */
}

void v24_send()
{
    apologize();
    exit(RPC_S_NOT_IMPLEMENTED);	    /* Not yet impelemnted */
}

void v24_clear()
{
    apologize();
    exit(RPC_S_NOT_IMPLEMENTED);	    /* Not yet impelemnted */
}


void eclose()
{
    apologize();
    exit(RPC_S_NOT_IMPLEMENTED);	    /* Not yet impelemnted */
}
